package de.ugoe.cs.autoquest.tasktrees.treeimpl;

import de.ugoe.cs.autoquest.tasktrees.treeifc.ISequence;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 19.02.2012$
 * @author 2012, last modified by $Author: patrick$
 */
public class Sequence extends TaskTreeNode implements ISequence {
    
    /**
     * TODO: comment
     * 
     * @param name
     */
    Sequence() {
        super("Sequence");
    }

    /**
     * TODO: comment
     * 
     * @param name
     */
    Sequence(String name) {
        super(name);
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.ugoe.cs.tasktree.treeimpl.TaskTreeNodeImpl#clone()
     */
    @Override
    public Sequence clone() {
        return (Sequence) super.clone();
    }

}
